### Method

# Aravis Stream timeout_pop_buffer

since: 0.2.0

#### Declaration [src]

    ArvBuffer*
    arv_stream_timeout_pop_buffer (
      ArvStream* stream,
      guint64 timeout
    )

#### Description [src]

Pops a buffer from the output queue of `stream`, waiting no more than `timeout`. The retrieved buffer may contain an invalid image. Caller should check the buffer status before using it.

This method is thread safe.

Available since: 0.2.0

#### Parameters

`timeout`

  Type: `guint64`

  Timeout, in µs.

#### Return value

Type: `ArvBuffer`

A `ArvBuffer`, NULL if no buffer is available until the timeout occurs.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.